/**
* 文件：MateriaCategoryForm.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/
package com.mortals.xhx.module.materia.web;

import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.module.materia.model.MateriaCategoryEntity;
import com.mortals.xhx.module.materia.model.MateriaCategoryQuery;

/**
 * <p>Title: 产品类目表</p>
 * <p>Description: MateriaCategoryForm  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class MateriaCategoryForm extends BaseCRUDFormLong<MateriaCategoryEntity> {
	private MateriaCategoryEntity materiaCategory = new MateriaCategoryEntity();
	private MateriaCategoryQuery query = new MateriaCategoryQuery(); 
	public MateriaCategoryForm(){
		
	}
	
    @Override
	public MateriaCategoryEntity getEntity() {
		return materiaCategory;
	}
	public MateriaCategoryEntity getMateriaCategory() {
		return materiaCategory;
	}

	public void setMateriaCategory(MateriaCategoryEntity materiaCategory) {
		this.materiaCategory = materiaCategory;
	}
	
	@Override
	public MateriaCategoryQuery getQuery() {
		return query;
	}

	public void setQuery(MateriaCategoryQuery query) {
		this.query = query;
	}
}